Package com.saxonica.ee.schema.sdoc

## Class SchemaElement.XPathStaticContext

- java.lang.Object
- - net.sf.saxon.sxpath.AbstractStaticContext
  - - net.sf.saxon.sxpath.IndependentContext
    - - com.saxonica.ee.schema.sdoc.SchemaElement.XPathStaticContext

- All Implemented Interfaces:
    `StaticContext`, `NamespaceResolver`, `XPathStaticContext`
  Enclosing class:
    SchemaElement

      protected class SchemaElement.XPathStaticContext
      extends IndependentContext

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.sxpath.IndependentContext

      `autoDeclare, executable, externalResolver, importedSchemaNamespaces, namespaces, optimizerOptions, parentlessContextItem, requiredContextItemType, retainedStaticContext, variables`

    - ### Fields inherited from class net.sf.saxon.sxpath.AbstractStaticContext

      `usingDefaultFunctionLibrary`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XPathStaticContext​(Configuration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Executable` | `getExecutable()` |
    `NamespaceResolver` | `getNamespaceResolver()` | Get a Namespace resolver that can be used for run-time resolution of QNames appearing in the XPath expression

    - ### Methods inherited from class net.sf.saxon.sxpath.IndependentContext

      `bindVariable, clearAllNamespaces, clearNamespaces, declareNamespace, declareVariable, declareVariable, declareVariable, getColumnNumber, getDeclaredVariables, getExternalVariable, getImportedSchemaNamespaces, getLineNumber, getOptimizerOptions, getPublicId, getRequiredContextItemType, getSlotNumber, getStackFrameMap, getURIForPrefix, isAllowUndeclaredVariables, isContextItemParentless, isImportedSchema, iterateExternalVariables, iteratePrefixes, makeRetainedStaticContext, setAllowUndeclaredVariables, setContextItemParentless, setDefaultElementNamespace, setExecutable, setImportedSchemaNamespaces, setNamespaceResolver, setNamespaces, setOptimizerOptions, setRequiredContextItemType`

    - ### Methods inherited from class net.sf.saxon.sxpath.AbstractStaticContext

      `addFunctionLibrary, getConfiguration, getContainingLocation, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getFunctionLibrary, getKeyManager, getPackageData, getStaticBaseURI, getSystemId, getUnprefixedElementMatchingPolicy, getWarningHandler, getXPathVersion, isInBackwardsCompatibleMode, issueWarning, makeEarlyEvaluationContext, resolveTypeAlias, setBackwardsCompatibilityMode, setBaseURI, setConfiguration, setContainingLocation, setDecimalFormatManager, setDefaultCollationName, setDefaultFunctionLibrary, setDefaultFunctionLibrary, setDefaultFunctionNamespace, setFunctionLibrary, setPackageData, setSchemaAware, setTypeAlias, setUnprefixedElementMatchingPolicy, setWarningHandler, setXPathLanguageLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.expr.StaticContext

      `getConfiguration, getContainingLocation, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getFunctionLibrary, getKeyManager, getPackageData, getStaticBaseURI, getSystemId, getUnprefixedElementMatchingPolicy, getXPathVersion, isInBackwardsCompatibleMode, issueWarning, makeEarlyEvaluationContext, resolveTypeAlias`

- - ### Constructor Detail

    - #### XPathStaticContext

          public XPathStaticContext​(Configuration config)

  - ### Method Detail

    - #### getNamespaceResolver

          public NamespaceResolver getNamespaceResolver()

      Get a Namespace resolver that can be used for run-time resolution of QNames appearing in the XPath expression
      Specified by:
        `getNamespaceResolver` in interface `StaticContext`
      Overrides:
        `getNamespaceResolver` in class `IndependentContext`
      Returns:
        a namespace resolver that uses the namespace context of the containing element in the schema document

    - #### getExecutable

          public Executable getExecutable()

      Overrides:
        `getExecutable` in class `IndependentContext`